Delete passkey
Delete a passkey from your vault.
DELETE https://api.passlock.dev/{tenancyId}/passkeys/{passkeyId} HTTP/1.1Authorization: Bearer {apiKey}Accept: application/jsonHTTP Response:
HTTP/1.1 202 AcceptedContent-Type: application/json
{ "_tag": "Passkey", "id": "sewqeeqx69cr7axut7kat", "userId": "puubifsmidah0f8c0y9bm", "enabled": true, "credential": { "id": "bW9wN3IzenE0enJ5OXVnZXoxOWF4", "userId": "MTVkMTFmdHM1Yzg0bDN0anpieG9w", "username": "jdoe@example.com", "aaguid": "0000-0000-0000-0000", "backedUp": true, "counter": 0, "deviceType": "multiDevice", "transports": ["internal"], "publicKey": "dGhpcy1pcy1hLWNib3ItcHVibGljLWtleQ", "rpId": "example.com" }, "platform": { "icon": "https://api.passlock.dev/aaguid/0000-0000-0000/icon.svg", "name": "Apple Passwords" }, "createdAt": 1770123293, "updatedAt": 1770123293}import { deletePasskey } from "@passlock/server";
const tenancyId = "myTenancyId";const apiKey = "myApiKey";
const result = await deletePasskey({ passkeyId, tenancyId, apiKey });
// result.deleted = { credentialId, userId, rpId }HTTP response properties
Section titled “HTTP response properties”The raw HTTP response has the same payload as Get passkey.